# Generated by Django 4.1.7 on 2023-03-12 13:35

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="Anime",
            fields=[
                ("id", models.AutoField(primary_key=True, serialize=False)),
                ("my_anime_list_id", models.IntegerField()),
                ("title", models.CharField(max_length=300)),
                ("type", models.CharField(max_length=200)),
                ("score", models.FloatField(null=True)),
                ("scored_by", models.IntegerField()),
                ("status", models.CharField(max_length=200)),
                ("episodes", models.IntegerField(null=True)),
                ("start_date", models.DateField(null=True)),
                ("end_date", models.DateField(null=True)),
                ("source", models.CharField(max_length=200)),
                ("image_url", models.CharField(max_length=300)),
            ],
        ),
        migrations.CreateModel(
            name="Manga",
            fields=[
                ("id", models.AutoField(primary_key=True, serialize=False)),
                ("my_anime_list_id", models.IntegerField()),
                ("title", models.CharField(max_length=300)),
                ("type", models.CharField(max_length=200)),
                ("score", models.FloatField(null=True)),
                ("scored_by", models.IntegerField()),
                ("status", models.CharField(max_length=200)),
                ("volumes", models.IntegerField(null=True)),
                ("chapters", models.IntegerField(null=True)),
                ("start_date", models.DateField(null=True)),
                ("end_date", models.DateField(null=True)),
                ("image_url", models.CharField(max_length=300)),
            ],
        ),
        migrations.CreateModel(
            name="FavouriteManga",
            fields=[
                ("id", models.AutoField(primary_key=True, serialize=False)),
                (
                    "manga",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="main.manga"
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="FavouriteAnime",
            fields=[
                ("id", models.AutoField(primary_key=True, serialize=False)),
                (
                    "anime",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="main.anime"
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
        ),
    ]
